Skip to main content
GET
Get Instruments

Query Parameters

instrument_id
integer<int64>

Instrument ID

Required range: 0 <= x <= 4294967295
instrument_type
enum<string>

Instrument type

Available options:
perpetual
category
enum<string>

Instrument category

Available options:
equity,
commodity,
index,
crypto

Response

Instruments response.

instrument_id
integer
required

Instrument ID

instrument_type
enum<string>
required

Instrument type

Available options:
perpetual
category
enum<string>
required

Instrument category

Available options:
equity,
commodity,
index,
crypto
isolated_only
boolean
required

Whether the instrument supports only isolated account margin. When false, both cross and isolated account margin modes are supported.

symbol
string
required

Instrument symbol

Example:

"NVDA-USDC"

base_asset
string
required

Base asset name

Example:

"NVDA"

quote_asset
string
required

Quote asset name

Example:

"USDC"

funding_interval
string
required

Funding interval

Example:

"1h"

quantity_decimals
integer
required

Number of decimal places for quantity.

Example:

2

price_decimals
integer
required

Number of decimal places for price. Non-integer prices have a maximum of 5 significant figures; integer prices are allowed regardless of significant figures.

Example:

2

price_bounds
string
required

Price bounds percentage

Example:

"0.05"

liquidation_fee
string
required

Liquidation fee rate

Example:

"0.025"

max_order_count
integer
required

Maximum open order count

Example:

200

min_notional
string
required

Minimum notional value in USD

Example:

"1.00"

max_market_notional
string
required

Maximum market order notional value in USD

Example:

"1000000.00"

max_limit_notional
string
required

Maximum limit order notional value in USD

Example:

"10000000.00"

max_leverage
integer
required

Maximum leverage

Example:

20

risk_tiers
object[]
required
ui_live_time
integer | null
required

Unix timestamp in milliseconds when first-party interfaces may display the instrument. A null value means hidden. This advisory field does not affect trading availability.

Required range: 0 <= x <= 253402300799000
Example:

1786032000000